Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface BIN1

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ADXP, AdxpAdditionalLocator, AdxpBuildingNumberSuffix, AdxpCareOf, AdxpCensusTract, AdxpCity, AdxpCountry, AdxpCounty, AdxpDelimiter, AdxpDeliveryAddressLine, AdxpDeliveryInstallationArea, AdxpDeliveryInstallationQualifier, AdxpDeliveryInstallationType, AdxpDeliveryMode, AdxpDeliveryModeIdentifier, AdxpDirection, AdxpHouseNumber, AdxpHouseNumberNumeric, AdxpPostalCode, AdxpPostBox, AdxpPrecinct, AdxpState, AdxpStreetAddressLine, AdxpStreetName, AdxpStreetNameBase, AdxpStreetNameType, AdxpUnitID, AdxpUnitType, ED, EnDelimiter, EnFamily, EnGiven, EnPrefix, EnSuffix, ENXP, SC, ST1, Thumbnail

All Known Implementing Classes:
  AdxpAdditionalLocatorImpl, AdxpBuildingNumberSuffixImpl, AdxpCareOfImpl, AdxpCensusTractImpl, AdxpCityImpl, AdxpCountryImpl, AdxpCountyImpl, AdxpDelimiterImpl, AdxpDeliveryAddressLineImpl, AdxpDeliveryInstallationAreaImpl, AdxpDeliveryInstallationQualifierImpl, AdxpDeliveryInstallationTypeImpl, AdxpDeliveryModeIdentifierImpl, AdxpDeliveryModeImpl, AdxpDirectionImpl, AdxpHouseNumberImpl, AdxpHouseNumberNumericImpl, ADXPImpl, AdxpPostalCodeImpl, AdxpPostBoxImpl, AdxpPrecinctImpl, AdxpStateImpl, AdxpStreetAddressLineImpl, AdxpStreetNameBaseImpl, AdxpStreetNameImpl, AdxpStreetNameTypeImpl, AdxpUnitIDImpl, AdxpUnitTypeImpl, BIN1Impl, EDImpl, EnDelimiterImpl, EnFamilyImpl, EnGivenImpl, EnPrefixImpl, EnSuffixImpl, ENXPImpl, SCImpl, ST1Impl, ThumbnailImpl

    public interface BIN1

extends ANY

A representation of the model object 'BIN1'. Binary data is a raw block of bits. Binary data is a protected type that MUST not be used outside the data type specification.

The following features are supported:

- `Representation`

See Also:
  `CDAR2Package.getBIN1()`

Method Summary
`BinaryDataEncoding` | `getRepresentation()` Returns the value of the 'Representation' attribute.
`boolean` | `isSetRepresentation()` Returns whether the value of the '`Representation`' attribute is set.
`void` | `setRepresentation(BinaryDataEncoding value)` Sets the value of the '`Representation`' attribute.
`void` | `unsetRepresentation()` Unsets the value of the '`Representation`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRepresentation

    BinaryDataEncoding getRepresentation()

  Returns the value of the 'Representation' attribute. The default value is `"TXT"`. The literals are from the enumeration `BinaryDataEncoding`. Specifies the representation of the binary data that is the content of the binary data value.

  Returns:
    the value of the 'Representation' attribute.
  See Also:
    `BinaryDataEncoding`, `isSetRepresentation()`, `unsetRepresentation()`, `setRepresentation(BinaryDataEncoding)`, `CDAR2Package.getBIN1_Representation()`

### setRepresentation

    void setRepresentation(BinaryDataEncoding value)

  Sets the value of the '`Representation`' attribute.

  Parameters:
    `value` - the new value of the 'Representation' attribute.
  See Also:
    `BinaryDataEncoding`, `isSetRepresentation()`, `unsetRepresentation()`, `getRepresentation()`

### unsetRepresentation

    void unsetRepresentation()

  Unsets the value of the '`Representation`' attribute.

  See Also:
    `isSetRepresentation()`, `getRepresentation()`, `setRepresentation(BinaryDataEncoding)`

### isSetRepresentation

    boolean isSetRepresentation()

  Returns whether the value of the '`Representation`' attribute is set.

  Returns:
    whether the value of the 'Representation' attribute is set.
  See Also:
    `unsetRepresentation()`, `getRepresentation()`, `setRepresentation(BinaryDataEncoding)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD